CET build fails mysterously
02/15/2012 03:09 PM - David Mckee

Status: Closed Start date: 02/15/2012
Priority: Normal Due date:

Assignee: Lynn Garren % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.00.08

Description

Trying to keep the KSU version of LArSoft up-to-date means updating CET and ART to 0.04.02.

| got as far as build art, when

$ ./buildArt.sh nova debug
building for nova:debug
build art v1_00_08 —-g nova:debug
called with -d, using qualifiers +nova:+debug and +gcc46:+debug
The working build directory is /user/cern/externals-0.4.2/art_suite/v1_00_08/build-Linux64bit+2.6—
2.5/art-nova-debug
INFORMATIONAL: Product 'gccxml' (with qualifiers 'gcc46'), has no v0_9_20110907 version (or may no
t exist) ### <==== Here
[...]
—— CPPUNIT version and qualifier are v1_12_1 debug:gcc46
CMake Error at /user/cern/externals—-0.4.2/cetbuildtools/v1_15_03/Modules/FindUpsPackage.cmake:19 (
message) :

GCCXML has not been setup

### <==== Here

Call Stack (most recent call first):

CMakeLists.txt:48 (find_ups_product)

—-— Configuring incomplete, errors occurred!

+ make -j4

make: *** No targets specified and no makefile found. Stop.
+ make ARGS=-j4 test

make: *** No rule to make target “test'. Stop.

+ make install

make: *** No rule to make target “install'. Stop.
+ set +x

INFORMATIONAL: Product 'art' (with qualifiers 'debug:nova'), has no v1_00_08 version (or may not e
xist)
art is installed at

However, when | check with ups | get

$ ups list -aK+ | grep gccxml

"gecexml" "v0_9_20110907" "Linux64bit+2.6-2.5" "debug:gcc4é" ""

"gcexml" "v0_9_20110907" "Linux64bit+2.6-2.5" "gcc4d6:opt" ""

Other stuff that may matter:

ups version: 4.9.5

ups flavor: Linux64bit+2.6-2.5

redhat-release: Scientific Linux SL release 5.3 (Boron)

| *did *get the Feb. 9 version of the art_suite tarbal and start again on a fresh art_suite directory. No help.
There are two instances of CMakelLists.txt that have the string gccxml, but only one is active:

$ find . -name CMakeLists.txt —-exec grep —inH gccxml \{\} \;
./source/cetbuildtools/example/ToyCmake/CMakeLists.txt:33:#find_ups_product ( gccxml v0_9 )
./source/art/CMakelLists.txt:48:find_ups_product ( gccxml v0_9 )

I'm a bit at a loss on how to proceed.

History

#1 - 02/15/2012 03:16 PM - Lynn Garren

- Assignee set to Lynn Garren
It is a little unclear - did you install both art_externals-0.04.02 and nu_extras-0.04.02? (nova_extras was recently renamed nu_extras)

#2 - 02/24/2012 11:10 AM - Lynn Garren
- Status changed from New to Resolved

- Target version set to 1.00.08
This was solved.

#3 - 03/30/2012 11:11 AM - Lynn Garren

- Status changed from Resolved to Closed
